Package org.drinkless.tdlib

# Class TdApi.GetRemoteFile

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.File>
org.drinkless.tdlib.TdApi.GetRemoteFile

Enclosing class:
  TdApi

public static class TdApi.GetRemoteFile extends TdApi.Function<TdApi.File>
Returns information about a file by its remote identifier; this is an offline request. Can be used to register a URL as a file for further uploading, or sending as a message. Even the request succeeds, the file can be used only if it is still accessible to the user. For example, if the file is from a message, then the message must be not deleted and accessible to the user. If the file database is disabled, then the corresponding object with the file must be preloaded by the application.

Returns `File`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.FileType`
  `fileType`
  File type; pass null if unknown.
  `String`
  `remoteFileId`
  Remote identifier of the file to get.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetRemoteFile()`
  Default constructor for a function, which returns information about a file by its remote identifier; this is an offline request.
  `GetRemoteFile(String remoteFileId, TdApi.FileType fileType)`
  Creates a function, which returns information about a file by its remote identifier; this is an offline request.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### remoteFileId

    public String remoteFileId
    Remote identifier of the file to get.

  - ### fileType

    public TdApi.FileType fileType
    File type; pass null if unknown.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetRemoteFile

    public GetRemoteFile()
    Default constructor for a function, which returns information about a file by its remote identifier; this is an offline request. Can be used to register a URL as a file for further uploading, or sending as a message. Even the request succeeds, the file can be used only if it is still accessible to the user. For example, if the file is from a message, then the message must be not deleted and accessible to the user. If the file database is disabled, then the corresponding object with the file must be preloaded by the application.

    Returns `File`

  - ### GetRemoteFile

    public GetRemoteFile(String remoteFileId, TdApi.FileType fileType)
    Creates a function, which returns information about a file by its remote identifier; this is an offline request. Can be used to register a URL as a file for further uploading, or sending as a message. Even the request succeeds, the file can be used only if it is still accessible to the user. For example, if the file is from a message, then the message must be not deleted and accessible to the user. If the file database is disabled, then the corresponding object with the file must be preloaded by the application.

    Returns `File`

    Parameters:
      `remoteFileId` - Remote identifier of the file to get.
      `fileType` - File type; pass null if unknown.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.File>`
    Returns:
      this.CONSTRUCTOR